<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'MicrositeNavigation',
  props: {
    partner: {
      type: Object,
      required: false,
      default: null,
    },
    navigation: {
      required: true,
      default: null,
      type: Object,
    },
  },
});
</script>

<template>
  <nav class="navigation">
    <SlpContainer>
      <div class="flex">
        <div class="navigation__logos">
          <nuxt-img
            :class="`gitlab ${partner ? 'has-partner' : ''}`"
            src="/nuxt-images/free-trial/free-trial-nav-logo.svg"
            width="160px"
            format="webp"
            quality="99"
          />
          <div v-if="partner" class="partner-logo-wrapper">
            <img :src="partner.logo" :alt="partner.alt" />
          </div>
        </div>
        <div>
          <SlpButton
            v-if="navigation.cta.text"
            variant="tertiary"
            :href="navigation.cta.link"
            :data-ga-name="navigation.cta.text.toLowerCase()"
            data-ga-location="header"
          >
            {{ navigation.cta.text }}
            <SlpIcon
              class="learn-more-icon"
              name="chevron-lg-right"
              variant="product"
            />
          </SlpButton>
        </div>
      </div>
    </SlpContainer>
  </nav>
</template>

<style lang="scss">
.navigation {
  background: $color-surface-50;
  position: sticky;
  top: 0;
  z-index: 1000;

  @media (min-width: $breakpoint-lg) {
    padding: 24px 0 16px 0;
  }

  @media (max-width: $breakpoint-md) {
    padding: 16px 0 0 0;
  }

  &__logos {
    display: flex;
    align-items: center;
    gap: 19px;

    @media (max-width: $breakpoint-md) {
      margin-bottom: 8px;
    }

    .gitlab {
      padding-right: 20px;
      border-right: 1px solid transparent;
    }

    .gitlab.has-partner {
      border-color: #74717a;
    }

    .partner-logo-wrapper {
      position: relative;
      object-fit: contain;
      max-height: 64px;
      max-width: 120px;

      @media (max-width: $breakpoint-md) {
        max-height: 40px;
      }

      img {
        display: block;
        width: 100%;
      }
    }
  }

  .flex {
    display: flex;
    justify-content: space-between;
    align-items: center;

    @media (max-width: $breakpoint-md) {
      flex-wrap: wrap;
    }
  }
}
</style>
